Bug 246270 - Remove serverroot concept from Console
Summary: Remove serverroot concept from Console
Status: VERIFIED
Alias: None
Product: Fedora Management Console
Classification: Fedora
Component: General (Show other bugs)
(Show other bugs)
Version: 1.1.0
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Nathan Kinder
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 240316
TreeView+ depends on / blocked
 
Reported: 2007-06-29 18:27 UTC by Nathan Kinder
Modified: 2015-01-05 00:04 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
CVS Diffs (42.73 KB, patch)
2007-06-29 18:27 UTC, Nathan Kinder
no flags Details | Diff
CVS Commit Message (4.74 KB, text/plain)
2007-06-29 20:37 UTC, Nathan Kinder
no flags Details
Additional Diffs (9.12 KB, patch)
2007-06-29 22:49 UTC, Nathan Kinder
no flags Details | Diff
CVS Commit Message (comment 3 diffs) (1.74 KB, text/plain)
2007-07-02 18:52 UTC, Nathan Kinder
no flags Details

Description Nathan Kinder 2007-06-29 18:27:38 UTC
The notion of a "Server Root" has gone away in Admin Server, so the Console
needs to adjust for this.

The server root was mainly used for a deprecated merge config capability in the
Console.  The attached changes remove all traces of the server root.  I've also
bumped the version up to 1.1.0, improved the build system, turned the
startconsole script into a template, fixed some theme bugs, and worked on the
RPM packaging.

Comment 1 Nathan Kinder 2007-06-29 18:27:38 UTC
Created attachment 158240 [details]
CVS Diffs

Comment 2 Nathan Kinder 2007-06-29 20:37:54 UTC
Created attachment 158263 [details]
CVS Commit Message

Checked into console (HEAD).  Thanks to Rich for the review!

Comment 3 Nathan Kinder 2007-06-29 22:49:41 UTC
Created attachment 158277 [details]
Additional Diffs

Noriko pointed out that the Console version number was in multiple files as
seen in my previous diffs.  She suggested that we try to get it defined in one
single place, which I agree with.  These changes replace all hard-coded
instances of the version number with calls to the VersionInfo class.  The
VersionInfo class gets it's version numbers from a properties file that is
dynamically generated at compile time.	This means that we will only need to
change the version in build.properties from now on.

Comment 4 Noriko Hosoi 2007-07-02 16:37:15 UTC
Your changes look good.  Thank you sooooo much!

Comment 5 Nathan Kinder 2007-07-02 18:52:30 UTC
Created attachment 158363 [details]
CVS Commit Message (comment 3 diffs)

Checked changes from co mment 3 into console (HEAD).  Thanks for the review
Noriko!


Note You need to log in before you can comment on or make changes to this bug.